notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

Current status

The server has been repaired, with a new power supply, for $23. I am waiting for lower COVID rates before visiting the datacenter to return it.
Port details
php70-gd The gd shared extension for php
7.0.32 graphics Deleted on this many watch lists=2 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 7.0.32Version of this port present on the latest quarterly branch. NOTE: Slave port - quarterly revision is most likely wrong.
Maintainer: tz@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2016-02-15 14:34:50
Last Update: 2018-12-05 15:46:03
SVN Revision: 486677
People watching this port, also watch:: pkg, coreutils, git
License: PHP301
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • php70-gd>0:graphics/php70-gd
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: php70-gd
Flavors: there is no flavor information for this port.
distinfo:
Packages: (move your mouse over the cells for more information)
php70-gd
ABIlatestquarterly
FreeBSD:11:aarch647.0.32-
FreeBSD:11:amd64--
FreeBSD:11:armv67.0.7-
FreeBSD:11:i386--
FreeBSD:11:mips7.0.8_1-
FreeBSD:11:mips647.0.8_1-
FreeBSD:12:aarch647.0.32-
FreeBSD:12:amd64--
FreeBSD:12:armv67.0.32-
FreeBSD:12:armv77.0.32-
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Master port: lang/php70

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. phpize : lang/php70
  2. autoconf>0 : devel/autoconf
  3. xpm.pc : x11/libXpm
Runtime dependencies:
  1. php.h : lang/php70
  2. xpm.pc : x11/libXpm
Library dependencies:
  1. libfreetype.so : print/freetype2
  2. libpng.so : graphics/png
  3. libjpeg.so : graphics/jpeg-turbo
  4. libgd.so : graphics/gd
There are no ports dependent upon this port

Configuration Options:
Options name:

USES:

Master Sites:
Expand this list (10 items)
Collapse this list.
  1. http://br.php.net/distributions/
  2. http://cn.php.net/distributions/
  3. http://de.php.net/distributions/
  4. http://es.php.net/distributions/
  5. http://fr.php.net/distributions/
  6. http://it.php.net/distributions/
  7. http://jp.php.net/distributions/
  8. http://se.php.net/distributions/
  9. http://uk3.php.net/distributions/
  10. http://us2.php.net/distributions/
Collapse this list.
Port Moves
  • port moved to graphics/php72-gd on 2018-12-05
    REASON: Has expired: Security Support ends on 3 Dec 2018

Number of commits found: 11

Commit History - (may be incomplete: see SVNWeb link above for full details)
This is a slave port. You may also want to view the commits to the master port: lang/php70
DateByDescription
05 Dec 2018 15:46:03
Original commit files touched by this commit Revision:486677  7.0.32
rene search for other commits by this committer
Remove expired ports:
2018-12-04 archivers/php70-bz2: Security Support ends on 3 Dec 2018
2018-12-04 archivers/php70-phar: Security Support ends on 3 Dec 2018
2018-12-04 archivers/php70-zip: Security Support ends on 3 Dec 2018
2018-12-04 archivers/php70-zlib: Security Support ends on 3 Dec 2018
2018-12-04 converters/php70-iconv: Security Support ends on 3 Dec 2018
2018-12-04 converters/php70-mbstring: Security Support ends on 3 Dec 2018
2018-12-04 converters/php70-recode: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-dba: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-interbase: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-mysqli: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-odbc: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-pdo: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-pdo_dblib: Security Support ends on 3 Dec 2018
2018-12-04 databases/php70-pdo_firebird: Security Support ends on 3 Dec 2018
(Only the first 15 lines of the commit message are shown above View all of this commit message)
13 Sep 2018 17:11:20
Original commit files touched by this commit Revision:479680  7.0.32
joneum search for other commits by this committer
Update to 7.0.32

Changelog: http://www.php.net/ChangeLog-7.php#7.0.32

Approved by:	tz (implicit)
MFH:		2018Q3
31 Jul 2018 12:55:43
Original commit files touched by this commit Revision:475998  7.0.31_1
tz search for other commits by this committer
graphics/php7*-gd: fix broken build when XPM option is disabled

The switch from bundled gd to graphics/gd broke the port
if a user disabled the XPM option.

PR:		230234 217222
Submitted by:	Guido Falsi <madpilot@FreeBSD.org>
Reported by:	Guido Falsi <madpilot@FreeBSD.org>,  Dani <i.dani@outlook.com>
31 Jul 2018 08:42:19
Original commit files touched by this commit Revision:475982  7.0.31_1
tz search for other commits by this committer
graphics/php70-gd: Switch from bundled libgd to graphics/gd

Currently the gd-module uses a bundled libgd, while most systems
already provide the same library via graphics/gd.
Therefore instead of adding the bundled library we use the
port instead.

PR:		217222
Submitted by:	Mikhail Teterin  <mi@FreeBSD.org>
12 Jun 2017 10:32:30
Original commit files touched by this commit Revision:443434  7.0.20 This port version is marked as vulnerable.
tz search for other commits by this committer
Update PHP 7 from 7.0.19 to 7.0.20

Changelog: http://www.php.net/ChangeLog-7.php#7.0.20

MFH: 2017Q2
09 Jun 2017 09:43:52
Original commit files touched by this commit Revision:442977  7.0.19_1 This port version is marked as vulnerable.
tz search for other commits by this committer
graphics/php70-gd: remove options T1LIB and VPX, add option WEBP

Support for T1LIB and VPX was removed in PHP 7.0
Support for WebP support was added in PHP 7.0

PR:           219837
Submitted by: Dani <i.dani@outlook.com>
19 Oct 2016 13:34:19
Original commit files touched by this commit Revision:424244  7.0.12 This port version is marked as vulnerable.
tz search for other commits by this committer
Update PHP 7 from 7.0.11 to 7.0.12

Changes: http://www.php.net/ChangeLog-7.php#7.0.12

MFH:         2016Q4
Approved by: pi (mentor)
30 Sep 2016 01:15:11
Original commit files touched by this commit Revision:422956  7.0.11_1 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/libvpx: update 1.6.0

ABI is incompatible... or not? SONAME has changed but the removed vp10
symbols weren't actually exposed (and still aren't).

Note, FreeBSD 9.x now builds with Clang 3.4 because GCC 4.2 fails:

  vp9/encoder/x86/vp9_frame_scale_ssse3.c: In function 'eight_tap_row_ssse3':
  vp9/encoder/x86/vp9_frame_scale_ssse3.c:93: internal compiler error: in
simplify_binary_operation_1, at simplify-rtx.c:2563
  Please submit a full bug report,
  with preprocessed source if appropriate.
  See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.5.0..v1.6.0
ACC
report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.5.0_to_1.6.0/compat_report.html
21 Sep 2016 15:43:47
Original commit files touched by this commit Revision:422569  7.0.11 This port version is marked as vulnerable.
tz search for other commits by this committer
lang/php70: Update from 7.0.10 to 7.0.11

Security:    CVE-2016-7416
Security:    CVE-2016-7412
Security:    CVE-2016-7414
Security:    CVE-2016-7417
Security:    CVE-2016-7413
Security:    CVE-2016-7418

MFH:         2016Q3
Approved by: pi (mentor)
03 Aug 2016 12:47:05
Original commit files touched by this commit Revision:419514  7.0.9_1 This port version is marked as vulnerable.
mat search for other commits by this committer
Don't use extension.ini any more, and have each extension install in its
file, so the order remains the same.

Every PHP (or Zend) extension now installs its own .ini file in
/usr/local/etc/php.  A PHP extension will be automatically activated
when installed.  The order into which extensions are loaded is
automatically guessed.  In some very rare cases, the guess will be
wrong, and PHP_MOD_PRIO will need to be set.  Refer to the USES=php
section of the Porter's Handbook for more information.

Convert ports touching etc/php/extensions.ini manually, or telling the
OP to do it.

And finally, bump PORTREVISION for all php extensions.

PR:		210697
Submitted by:	mat
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D7022
15 Feb 2016 14:34:27
Original commit files touched by this commit Revision:408932  7.0.3 This port version is marked as vulnerable.
miwi search for other commits by this committer
Welcome php 7.0.3

Changelog:
    http://php.net/ChangeLog-7.php#7.0.0
    http://php.net/ChangeLog-7.php#7.0.1
    http://php.net/ChangeLog-7.php#7.0.2
    http://php.net/ChangeLog-7.php#7.0.3

I'd like to thanks:
  Kurt Jaeger
  Matthias Breddin
  Rainer Duffner
  Victor van Vlaardingen
  Torsten Zuehlsdorff
  Franco Fichtner
  and all helpers and testers from ports@.

Number of commits found: 11